LibreOffice LibreOffice 6.0 SDK API Reference

Variables
com::sun::star::table::CellJustifyMethod Constant Group Reference

Specifies how text inside a cell is justified. More...

## Variables
const long | AUTO = 0
| Automatic. More...
const long | DISTRIBUTE = 1
| When applied in the direction of text flow, characters in each line are distributed at equal intervals so that the ends of each line are aligned with the start and end edges of the cell. More...

## Detailed Description

Specifies how text inside a cell is justified.

The justification methods closely follow the methods described under the text-justify property of the CSS Text Level 3 specification. The latest version of the aforementioned specification is found here http://www.w3.org/TR/css3-text/.

## Variable Documentation

## ◆ AUTO

const long AUTO = 0

Automatic.

## ◆ DISTRIBUTE

const long DISTRIBUTE = 1

When applied in the direction of text flow, characters in each line are distributed at equal intervals so that the ends of each line are aligned with the start and end edges of the cell.

When applied in the perpendicular direction of text flow, the lines are distributed at equal intervals so that the first and last lines are aligned with the start and end edges of the cell.